---
title: Map.prototype.set()
slug: Web/JavaScript/Reference/Global_Objects/Map/set
tags:
  - ECMAScript 2015
  - JavaScript
  - Map
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>set()</code></strong> method adds or updates an element with a specified key and a value to a <code>Map</code> object.</p>

<div>{{EmbedInteractiveExample("pages/js/map-prototype-set.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>myMap</var>.set(<var>key</var>, <var>value</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>key</var></code></dt>
 <dd>The key of the element to add to the <code>Map</code> object.</dd>
 <dt><code><var>value</var></code></dt>
 <dd>The value of the element to add to the <code>Map</code> object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The <code>Map</code> object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_set">Using set()</h3>

<pre class="brush: js notranslate">let myMap = new Map()

// Add new elements to the map
myMap.set('bar', 'foo')
myMap.set(1, 'foobar')

// Update an element in the map
myMap.set('bar', 'baz')
</pre>

<h3 id="Using_the_set_with_chaining">Using the set() with chaining</h3>

<p>Since the <code>set()</code> method returns back the same <code>Map</code> object, you can chain the method call like below:</p>

<pre class="brush: js notranslate">// Add new elements to the map with chaining.
myMap.set('bar', 'foo')
     .set(1, 'foobar')
     .set(2, 'baz');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-map.prototype.set', 'Map.prototype.set')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Map.set")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Map")}}</li>
 <li>{{jsxref("Map.prototype.get()")}}</li>
 <li>{{jsxref("Map.prototype.has()")}}</li>
</ul>
